package com.tax.file.integration.token;

import com.yxcheng.token.common.model.CrRpcResult;
import com.yxcheng.token.common.model.SafeModel;
import com.yxcheng.token.common.model.TokenInfo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient(name="taxsys-token")
@Service
public interface TokenClient {
    @RequestMapping(value ="/client/selectTokenListByErrorCode" , method = RequestMethod.POST, consumes = {"application/json;charset=UTF-8"})
    public List<TokenInfo> selectTokenListByErrorCode(@RequestParam(value="userCode")String userCode,
                                                      @RequestParam(value="errorCode")String errorCode,
                                                      @RequestParam(value="zoneCode")String zoneCode);
}
